### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
G2ForwardProcess Class Reference
Stochastic processes

Forward G2 stochastic process More...

`#include <ql/processes/g2process.hpp>`

Inheritance diagram for G2ForwardProcess:
[legend]

List of all members.

## Public Member Functions

| G2ForwardProcess (Real a, Real sigma, Real b, Real eta, Real rho)
StochasticProcess interface
Size | size () const
| returns the number of dimensions of the stochastic process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e.
Disposable< Array > | expectation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | stdDeviation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | covariance (Time t0, const Array &x0, Time dt) const

## Protected Member Functions

Real | xForwardDrift (Time t, Time T) const
Real | yForwardDrift (Time t, Time T) const
Real | Mx_T (Real s, Real t, Real T) const
Real | My_T (Real s, Real t, Real T) const

## Protected Attributes

Real | x0_
Real | y0_
Real | a_
Real | sigma_
Real | b_
Real | eta_
Real | rho_
boost::shared_ptr < QuantLib::OrnsteinUhlenbeckProcess > | xProcess_
boost::shared_ptr < QuantLib::OrnsteinUhlenbeckProcess > | yProcess_

## Detailed Description

Forward G2 stochastic process

## Member Function Documentation

Disposable<Array> expectation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the expectation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

Disposable<Matrix> stdDeviation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the standard deviation of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

Disposable<Matrix> covariance | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

returns the covariance of the process after a time interval according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.